import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

import unittest
import CPSSkinsTestCase

class TestPageBlocks(CPSSkinsTestCase.CPSSkinsTestCase):

    def afterSetUp(self):
        tmtool = self.portal.portal_themes
        if 'PortalTheme' in tmtool.objectIds():
           tmtool.manage_delObjects(['PortalTheme'])
        self.theme_container = tmtool.addPortalTheme()
        self.pageblock = self.theme_container.addPageBlock()

    def test_1(self):
        pageblock = self.pageblock
        pageblock.move('down')
        pageblock.move('up')

    def test_2(self):
        tmtool = self.portal.portal_themes
        tmtool.setDefaultTheme('theme1')
        theme_container = tmtool.getThemeContainer(theme='theme1')
        pageblock_ids = [p.getId() for p in theme_container.getPageBlocks()]
        self.assertEquals(pageblock_ids, ['main', 'pageblock1'])


def test_suite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(TestPageBlocks))
    return suite

if __name__ == '__main__':
    framework(descriptions=1, verbosity=2)

